/*
gnaughty - porn movie downloader
Copyright (C) 2002 David Moore

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*/
#include <gtk/gtk.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "prefs.h"
#include "urls.h"

extern GnaughtyPrefs g_prefs;

void gnaughty_play_movies(GList *filenames)
{
	GString *command=g_string_new(g_prefs.playcommand);
	gchar *quoted;
	for(; filenames != NULL; filenames=filenames->next)
	{
		quoted = g_shell_quote(filenames->data);
		g_string_append(command, " ");
		g_string_append(command, quoted);
		g_free(quoted);
	}
	system(command->str);
	g_string_free(command, TRUE);
	return;
}

void gnaughty_play_pictures(GList *filenames)
{
	GString* command = g_string_new(g_prefs.playpiccommand);
	gchar *quoted;
	for(; filenames != NULL; filenames=filenames->next)
	{
		quoted = g_shell_quote(filenames->data);
		g_string_append(command, " ");
		g_string_append(command, quoted);
		g_free(quoted);
	}
	system(command->str);
	g_string_free(command, TRUE);
	return;
}

gboolean ismovie(gchar *filename)
{
#ifdef WIN32
	return TRUE;
#endif
	FILE *fp;
	gchar buffer[120], *quoted = g_shell_quote(filename);;
	gchar* commandline = g_strdup_printf("file %s", quoted);

	fp = popen(commandline, "r");
		g_free(quoted);
	g_free(commandline);
	
	fgets(buffer, sizeof(buffer), fp);
	
	pclose(fp);
	
	if (strstr(buffer, "very short") != NULL || strstr(buffer, "HTML") != NULL || strstr(buffer, "empty") != NULL)
		return FALSE;
	else
		return TRUE;
}

void gnaughty_delete_files(GList *filenames)
{
	for(; filenames != NULL; filenames=filenames->next)
	{
		GString **filename = gnaughty_urls_separate_link_filename(filenames->data);
		remove(filenames->data);
		g_print("Deleted %s\n", (char*)filenames->data);
		
		//this is rather hackish, but I'm lazy. improve if you want
		system(g_strdup_printf("rmdir %s 2> /dev/null", (filename[0])->str));
		gnaughty_urls_free_pair(filename);
	}
	return;
}
