/*
gnaughty - porn movie downloader
Copyright (C) 2002 David Moore

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*/
#include <gtk/gtk.h>
#include "gui.h"
#include "prefs.h"
#include "callbacks.h"
#include <stdlib.h>

extern GladeXML *GnaughtyXML;
extern GnaughtyPrefs g_prefs;

GnaughtyPrefs* gnaughty_gui_prefs_window_get_prefs()
{
	GnaughtyPrefs* prefs = g_new0(GnaughtyPrefs, 1);

	prefs->downloadpattern = g_strdup(gtk_label_get_text(GTK_LABEL(glade_xml_get_widget(GnaughtyXML, "locationlabel"))));
	//prefs->playafterdl = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "playafterdl")));
	prefs->playafterdl=g_prefs.playafterdl;
	//prefs->showafterdl = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "showafterdl")));
	prefs->showafterdl=g_prefs.showafterdl;
	//prefs->deleteafterplay = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "deleteafterplay")));
	prefs->deleteafterplay=g_prefs.deleteafterplay;
	//prefs->playcommand = g_strdup(gtk_entry_get_text(GTK_ENTRY(glade_xml_get_widget(GnaughtyXML, "playcommand"))));
	prefs->playcommand=g_strdup(g_prefs.playcommand);
	//prefs->playpiccommand = g_strdup(gtk_entry_get_text(GTK_ENTRY(glade_xml_get_widget(GnaughtyXML, "playpiccommand"))));
	prefs->playpiccommand=g_strdup(g_prefs.playpiccommand);
	prefs->nr_downloads = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(glade_xml_get_widget(GnaughtyXML, "nr_downloads")));
#ifndef WIN32
	//prefs->deleteinvalid=gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "deleteinvalid")));
	prefs->deleteinvalid=g_prefs.deleteinvalid;
#endif
	prefs->useproxy=g_prefs.useproxy;
	prefs->proxyurl=g_strdup(g_prefs.proxyurl);
	prefs->proxyport=g_prefs.proxyport;
	return prefs;
}

void gnaughty_gui_prefs_window_set_prefs(GnaughtyPrefs* prefs)
{
	gtk_label_set_text(GTK_LABEL(glade_xml_get_widget(GnaughtyXML, "locationlabel")), prefs->downloadpattern);
	//gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "playafterdl")), prefs->playafterdl);
	//gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "showafterdl")), prefs->showafterdl);
	//gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "deleteafterplay")), prefs->deleteafterplay);
	gtk_spin_button_set_value(GTK_SPIN_BUTTON(glade_xml_get_widget(GnaughtyXML, "nr_downloads")), prefs->nr_downloads);
    
#ifndef WIN32
	//gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(GnaughtyXML, "deleteinvalid")), prefs->deleteinvalid);
#endif

	//gtk_entry_set_text(GTK_ENTRY(glade_xml_get_widget(GnaughtyXML, "playcommand")), prefs->playcommand);
	//gtk_entry_set_text(GTK_ENTRY(glade_xml_get_widget(GnaughtyXML, "playpiccommand")), prefs->playpiccommand);

	return;
}

// vim:noexpandtab:ts=4 sw=4:
